Communications - Create
Adds a new customer communication to an Azure support ticket.
PUT https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Support/supportTickets/{supportTicketName}/communications/{communicationName}?api-version=2024-04-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
communication
|
path | True |
string |
The name of the CommunicationDetails |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
support
|
path | True |
string |
The name of the SupportTicketDetails |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| properties.body | True |
string |
Body of the communication. |
| properties.subject | True |
string |
Subject of the communication. |
| properties.sender |
string |
Email address of the sender. This property is required if called by a service principal. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Resource 'CommunicationDetails' update operation succeeded |
|
| 202 Accepted |
Resource operation accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
AddCommunicationToSubscriptionTicket
Sample request
PUT https://management.azure.com/subscriptions/132d901f-189d-4381-9214-fe68e27e05a1/providers/Microsoft.Support/supportTickets/testticket/communications/testcommunication?api-version=2024-04-01
{
"properties": {
"body": "This is a test message from a customer!",
"sender": "user@contoso.com",
"subject": "This is a test message from a customer!"
}
}
Sample response
{
"name": "testcommunication",
"type": "Microsoft.Support/communications",
"id": "/subscriptions/132d901f-189d-4381-9214-fe68e27e05a1/providers/Microsoft.Support/supportTickets/testticket/communications/testcommunication",
"properties": {
"body": "This is a test message from a customer!",
"communicationDirection": "outbound",
"communicationType": "web",
"createdDate": "2020-03-10T20:18:19Z",
"sender": "user@contoso.com",
"subject": "This is a test message from a customer!"
}
}
azure-asyncoperation: https://management.azure.com/subscriptions/132d901f-189d-4381-9214-fe68e27e05a1/providers/Microsoft.Support/operationsStatus/operationid?api-version=2024-04-01
location: https://management.azure.com/subscriptions/132d901f-189d-4381-9214-fe68e27e05a1/providers/Microsoft.Support/operationResults/operationid?api-version=2024-04-01
Definitions
| Name | Description |
|---|---|
|
Communication |
Object that represents a Communication resource. |
|
Communication |
Direction of communication. |
|
Communication |
Communication type. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
system |
Metadata pertaining to creation and last modification of the resource. |
CommunicationDetails
Object that represents a Communication resource.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.body |
string |
Body of the communication. |
| properties.communicationDirection |
Direction of communication. |
|
| properties.communicationType |
Communication type. |
|
| properties.createdDate |
string (date-time) |
Time in UTC (ISO 8601 format) when the communication was created. |
| properties.sender |
string |
Email address of the sender. This property is required if called by a service principal. |
| properties.subject |
string |
Subject of the communication. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
CommunicationDirection
Direction of communication.
| Value | Description |
|---|---|
| inbound | |
| outbound |
CommunicationType
Communication type.
| Value | Description |
|---|---|
| web | |
| phone |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |